org.apache.fontbox.ttf

## Class KerningTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.KerningTable

    public class KerningTable
    extends TTFTable

A 'kern' table in a true type font.

Author:
  Glenn Adams

### Field Summary

Fields
`static String` `TAG` Tag to identify this table.

### Fields inherited from class org.apache.fontbox.ttf.TTFTable

`font, initialized`

### Method Summary

All Methods Instance Methods Concrete Methods
`KerningSubtable` `getHorizontalKerningSubtable()` Obtain first subtable that supports non-cross-stream horizontal kerning.
`KerningSubtable` `getHorizontalKerningSubtable(boolean cross)` Obtain first subtable that supports horizontal kerning with specified cross stream.

### Methods inherited from class org.apache.fontbox.ttf.TTFTable

`getCheckSum, getInitialized, getLength, getOffset, getTag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG

    public static final String TAG

Tag to identify this table.

See Also:
  Constant Field Values

### Method Detail

#### getHorizontalKerningSubtable

    public KerningSubtable getHorizontalKerningSubtable()

Obtain first subtable that supports non-cross-stream horizontal kerning.

Returns:
  first matching subtable or null if none found

#### getHorizontalKerningSubtable

    public KerningSubtable getHorizontalKerningSubtable(boolean cross)

Obtain first subtable that supports horizontal kerning with specified cross stream.

Parameters:
  `cross` - true if requesting cross stream horizontal kerning
Returns:
  first matching subtable or null if none found